<?php
namespace App\Http\Controllers\AdminDashboard;
use App\Http\Controllers\Controller;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Models\Client;
use App\Models\Images;

class ClientController extends Controller{
    public function __construct()
    {
        $this->middleware('auth');
    }
    public function index(){
        $clients=Client::all();
        /*$client=Client::first();
        dd($client->lang('ar')->description);*/
        return view("dashboard.client.index")->with("clients",$clients);
    }
    public function create(){
        return view("dashboard.client.create");
    }

    public function store(Request $request){
        $request->validate([
            'title_en'=>'required',
            'description_en'=>'required',
            'image_id'=>'required|image|mimes:jpeg,png',
            'title_ar'=>'required',
            'description_ar'=>'required',
        ]);
        if($request->image_id){
            $image_name=time()."_".$request->image_id->getClientOriginalName();
            $request->image_id->storeAs("/storage/uploads/client",$image_name);
            $image_id=Images::create(['name'=>$image_name,'dir_name'=>'client'])->id;
            \App\Models\Arabic\Images::create(['image_id'=>$image_id,'description'=>'','alt'=>'']);
            \App\Models\English\Images::create(['image_id'=>$image_id,'description'=>'','alt'=>'']);

            //create client -----------
            $client_id=Client::create(['image_id'=>$image_id,'created_by'=>auth()->user()->id])->id;
            \App\Models\Arabic\Client::create(['client_id'=>$client_id,'title'=>$request->title_ar,
                'description'=>$request->description_ar,
                ]);
            \App\Models\English\Client::create(['client_id'=>$client_id,'title'=>$request->title_en,
                'description'=>$request->description_en,
            ]);
            return redirect("/adminDashboard/client");
        }
    }
    public function edit($id){
        $client=Client::find($id);
        return view("dashboard.client.edit")->with("client",$client?$client:null);
    }

    public function update(Request $request,$id){
        $client=Client::find($id);
        $request->validate([
            'title_en'=>'required',
            'description_en'=>'required',
            'image_id'=>'image|mimes:jpeg,png',
            'title_ar'=>'required',
            'description_ar'=>'required',
        ]);
        if($request->image_id) {
            $image_name = time() . "_" . $request->image_id->getClientOriginalName();
            $request->image_id->storeAs("/storage/uploads/client", $image_name);
            $image_id = Images::where('id',$client->image_id)->update(['name' => $image_name]);
            \App\Models\Arabic\Images::where('image_id',$client->image_id)->update(['description'=>'','alt'=>'']);
            \App\Models\English\Images::where('image_id',$client->image_id)->update(['description'=>'','alt'=>'']);
        }

            //update client -----------
            //$client_id=Client::create(['image_id'=>$image_id])->id;
            $client->update(['created_by'=>auth()->user()->id]);
            \App\Models\Arabic\Client::where('client_id',$id)->update(['title'=>$request->title_ar,
                'description'=>$request->description_ar,
            ]);
            \App\Models\English\Client::where('client_id',$id)->update(['title'=>$request->title_en,
                'description'=>$request->description_en,
            ]);
            return redirect("/adminDashboard/client");

    }

    public function destroy($id){
        $client=Client::find($id);
        $client->delete();
        return redirect("/adminDashboard/client");
    }
}
