<?php

namespace App\Http\Controllers\AdminDashboard;
use App\Http\Controllers\Controller;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Models\Message;

class MessageController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    public function index(){
        $messages=Message::orderBy('id','DESC')->get();
        return view("dashboard.message.index")->with('messages',$messages);
        //return view(\Helpers::dashboardView('message','index'));
    }
    public function create(){
        return view("website.message.add");
    }
    public function store(Request $request){
        //echo 'dcdxcd';
        $request->validate([
            'name'=>'required|regex:/^[\pL\s\-]+$/u',
            'email'=>'required|email',
            'phone'=>'required|digits:11',
            'title'=>'required',
            'message_content'=>'required',
        ]);
        Message::create(['name'=>$request->name,'email'=>$request->email,'phone'=>$request->phone,
            'title'=>$request->title,'message_content'=>$request->message_content]);
        //return back();
        return redirect("/contact")->with("create",'message has been sent successfully.');
    }
    public function destroy($id){
        $message=Message::find($id);
        $message->delete();
        return redirect("/adminDashboard/message");
    }
    public function show($id){
        $message=Message::find($id);
        return view("dashboard.message.show")->with('message',$message);
    }
}
