<?php
namespace App\Http\Controllers\AdminDashboard;
use App\Http\Controllers\Controller;

use App\Models\Album;
use App\Models\Blog;
use App\Models\Images;
use App\Models\OpenGraph;
use App\Models\Pages;
use App\Models\Product;
use Illuminate\Http\Request;
use App\Http\Requests;
use Illuminate\Support\Facades\Input;

class OpenGraphController extends Controller{
    public function __construct()
    {

    }

    public function index(){
        $type=Input::get('type');
        if($type=='main'){
            $pages=Pages::where("is_main_page",1)->get();
             return view('dashboard.seo.open_graph.index',compact(['pages']));
        }elseif($type=='blog'){
            //$pages=Blog::all();
            //$pages=Blog::with('page')->get();
            //$pages=Pages::all();
            //$data=array();
            //foreach ($pages as $page):
                //$data[]=$page->id;
                //endforeach;
            //dd($data);
            //$pages=Blog::whereIn('page_id',$data)->get();
            //dd($pages);
            //dd($pages[4]->page->openGraph);
            //$pages=Blog::with('page')->has('page')->get();
            $pages=Blog::all();

            return view('dashboard.seo.open_graph.index',compact(['pages']));
            //return 'blog';

        }elseif($type=='album'){
            $pages=Album::all();
            return view('dashboard.seo.open_graph.index',compact(['pages']));
        }elseif ($type=='product'){
            $pages=Product::all();
            return view('dashboard.seo.open_graph.index',compact(['pages']));
        }
    }
    public function show($id){

    }
    public function edit($id){
        $og=OpenGraph::find($id);
        return view("dashboard.seo.open_graph.edit",compact(['og']));
    }
    public function update(Request $request,$id){
        $og=OpenGraph::find($id);
        $request->validate([
            //'og_url'=>'unique:open_graph',
            'og_type'=>'',
            'og_site_name'=>'',
            'og_title'=>'required',
            'og_description'=>'required',
            'og_image'=>'image|mimes:jpeg,png',
            'og_main_image'=>'image|mimes:jpeg,png',
            'image_url'=>'',
            'alt'=>'required'
        ]);
        //$url= $og->page->is_main_page==1 ? $og->og_url : $request->og_url;
        if($request->og_image){
            $image_name=time()."_".$request->og_image->getClientOriginalName();
            $request->og_image->storeAs("/storage/uploads/open_graph",$image_name);
            if($og->og_image==null){
                $request->og_image->storeAs("/storage/uploads/open_graph",$image_name);
                $image=Images::create(['name'=>$image_name,'dir_name'=>'open_graph','alt'=>$request->alt]);
                $og->update(['og_image_id'=>$image->id]);
            }else{
                $request->og_image->storeAs("/storage/uploads/open_graph",$image_name);
                Images::where('id',$og->og_image_id)->update(['name'=>$image_name,'dir_name'=>'open_graph','alt'=>$request->alt]);
            }
        }

        //-- to update just the alt attribute in images table
        Images::where('id',$og->og_image_id)->update(['alt'=>$request->alt]);
        //-----------

        if($request->og_main_image){
            $image_name=time()."_".$request->og_main_image->getClientOriginalName();
            $request->og_main_image->storeAs("/storage/uploads/open_graph",$image_name);
            $og->update(['main_image'=>$image_name]);
        }
        $og->update(['og_title'=>$request->og_title,'og_description'=>$request->og_description,
            'og_type'=>$request->og_type,'image_url'=>$request->image_url,
            'og_site_name'=>$request->og_site_name,'created_by'=>auth()->user()->id
        ]);
        return back()->with('create','changes are done successfully.');
    }
}
