<?php

namespace App\Http\Controllers\AdminDashboard;
use App\Http\Controllers\Controller;

use Illuminate\Http\Request;

use App\Http\Requests;

use App\Models\Slider;
use App\Models\Images;

class SliderController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    public function index(){
        $sliders=Slider::all();
        return view("dashboard.slider.index")->with('sliders',$sliders);
    }
    public function create(){
        return view("dashboard.slider.create");
    }

    public function store(Request $request){
        $request->validate([
            //'url'=>'',
            'title_en'=>'required',
            'description_en'=>'required',
            //'button_en'=>'required',
            'image_id'=>'required|image|mimes:jpeg,png',
            'alt'=>'required',
            'title_ar'=>'required',
            'description_ar'=>'required',
        ]);
        if($request->image_id){
            $image_name=$request->image_id->getClientOriginalName();
            $request->image_id->storeAs('/storage/uploads/slider',$image_name);

            $image_id=Images::create(['name'=>$image_name,'dir_name'=>'slider','alt'=>$request->alt])->id;
            $slider_id=Slider::create(['image_id'=>$image_id,'created_by'=>auth()->user()->id])->id;
            \App\Models\Arabic\Slider::create(['slider_id'=>$slider_id,'title'=>$request->title_ar,'description'=>$request->description_ar]);
            \App\Models\English\Slider::create(['slider_id'=>$slider_id,'title'=>$request->title_en,'description'=>$request->description_en]);
            return redirect("/adminDashboard/slider");
        }

    }
    public function destroy($id){
        $slider=Slider::find($id);
        $slider->delete();
        return redirect("/adminDashboard/slider");
    }

    public function edit($id){
        $slider=Slider::find($id);
        return view("dashboard.slider.edit")->with("slider",$slider);
    }

    public function update(Request $request,$id){
        $slider=Slider::find($id);
        $request->validate([
            //'url'=>'',
            'title_en'=>'required',
            'description_en'=>'required',
            //'button_en'=>'required',
            'image_id'=>'image|mimes:jpeg,png',
            'alt'=>'',
            'title_ar'=>'required',
            'description_ar'=>'required',
        ]);
        if($request->image_id){
            $image_name=time()."_".$request->image_id->getClientOriginalName();
            $request->image_id->storeAs("/storage/uploads/slider",$image_name);
            \App\Models\Images::where('id',$slider->image_id)->update(['name'=>$image_name,'alt'=>$request->alt]);
        }else{

        }
        $slider->update(['url'=>'','created_by'=>auth()->user()->id]);
        \App\Models\Arabic\Slider::where('slider_id',$id)->update(['title'=>$request->title_ar,'description'=>$request->description_ar]);
        \App\Models\English\Slider::where('slider_id',$id)->update(['title'=>$request->title_en,'description'=>$request->description_en]);

        return redirect("/adminDashboard/slider");

    }
}
