<?php
namespace App\Http\Controllers\AdminDashboard;

use App\Http\Controllers\Controller;
use Faker\Provider\File;
use Illuminate\Http\Request;
use App\Http\Requests;
use App\Models\Testimonial;
use App\Models\Images;

class TestimonialController extends Controller{
    public function __construct()
    {
        $this->middleware('auth');
    }
    public function index(){
        $testimonials=Testimonial::all();
        return view('dashboard.testimonial.index',compact('testimonials'));
    }
    public function create(){
        return view('dashboard.testimonial.create');
    }
    public function store(Request $request){
        $request->validate([
            'name_en'=>'required|regex:/^[\pL\s\-]+$/u',
            //'email'=>'required|email',
            'description_en'=>'required',
            'image_id'=>'required|image|mimes:jpeg,png',
            'name_ar'=>'required|regex:/^[\pL\s\-]+$/u',
            'description_ar'=>'required',
        ]);
        if($request->image_id){
            $image_name=time()."_".$request->image_id->getClientOriginalName();
            $request->image_id->storeAs("/storage/uploads/testimonial",$image_name);
            //return $request->email;
            $image=new Images;
            ['name'=>$image_name,'dir_name'=>'testimonial'];
            $image->name=$image_name;
            $image->dir_name='testimonial';
            $image->save();
            //$image=Images::orderBy('id','DESC')->limit(1)->first();
            \App\Models\Arabic\Images::insert(['image_id'=>$image->id,'description'=>'','alt'=>'']);
            \App\Models\English\Images::insert(['image_id'=>$image->id,'description'=>'','alt'=>'']);

            //create testimonial -----------
            $testimonial= new Testimonial;
            $testimonial->email ='';
            $testimonial->image_id = $image->id;
            $testimonial->created_by = auth()->user()->id;

            $testimonial->save();
           // $testimonial=Testimonial::orderBy('id','DESC')->limit(1)->first();
            \App\Models\Arabic\Testimonial::insert(['testimonial_id'=>$testimonial->id,'name'=>$request->name_ar,
                'description'=>$request->description_ar,
            ]);
            \App\Models\English\Testimonial::insert(['testimonial_id'=>$testimonial->id,'name'=>$request->name_en,
                'description'=>$request->description_en,
            ]);
            return redirect("/adminDashboard/testimonial");
        }
    }

    public function edit($id){
        $testimonial=Testimonial::find($id);

        return view('dashboard.testimonial.edit',compact('testimonial'));
    }
    public function update(Request $request,$id){
        $testimonial=Testimonial::find($id);
        $request->validate([
            'name_en'=>'required|regex:/^[\pL\s\-]+$/u',
            //'email'=>'required|email',
            'description_en'=>'required',
            'image_id'=>'image|mimes:jpeg,png',
            'name_ar'=>'required|regex:/^[\pL\s\-]+$/u',
            'description_ar'=>'required',
        ]);

        if($request->image_id) {
            $image_name = time() . "_" . $request->image_id->getClientOriginalName();
            $request->image_id->storeAs("/storage/uploads/testimonial", $image_name);
            $image_id = Images::where('id',$testimonial->image_id)->update(['name' => $image_name, 'dir_name' => 'testimonial']);
            \App\Models\Arabic\Images::where('image_id',$testimonial->image_id)->update([ 'description' => '', 'alt' => '']);
            \App\Models\English\Images::where('image_id',$testimonial->image_id)->update(['description' => '', 'alt' => '']);
        }
        Testimonial::where('id',$testimonial->id)->update(['email'=>'','created_by'=>auth()->user()->id]);
        \App\Models\Arabic\Testimonial::where('testimonial_id',$testimonial->id)->update(['name'=>$request->name_ar,
            'description'=>$request->description_ar,
        ]);
        \App\Models\English\Testimonial::where('testimonial_id',$testimonial->id)->update(['name'=>$request->name_en,
            'description'=>$request->description_en,
        ]);
        return redirect("/adminDashboard/testimonial");

    }
    public function destroy($id){
        $testimonial=Testimonial::find($id);
        $testimonial->delete();
        return redirect('/adminDashboard/testimonial');
    }
    public function show($id){
        $testimonial=Testimonial::find($id);

    }

}
