<?php
namespace App\Models;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Blog extends Model{
    use SoftDeletes;
    protected $connection='mysql';
    protected $table='blog';
    protected $fillable=['url','image_id','og_id','page_id','created_by'];
    protected $dates=["deleted_at"];

    public function blog_ar(){
        return $this->hasOne("App\Models\Arabic\Blog",'blog_id','id');
    }

    public function blog_en(){
        return $this->hasOne("App\Models\English\Blog",'blog_id','id');
    }
    public function image(){
        return $this->hasOne("App\Models\Images","id","image_id");
    }
    public function created_by_user(){
        return $this->hasOne('App\User','id','created_by');
    }


    public function openGraph(){
        return $this->hasOne('App\Models\OpenGraph','id','og_id');
    }
    public function page(){
        return $this->hasOne('App\Models\Pages','id','page_id');
    }
}
