<?php
namespace App\Models;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Category extends Model{
    use SoftDeletes;
    protected $connection='mysql';
    protected $table='category';
    protected $fillable=['image_id','created_by'];
    protected $dates=["deleted_at"];

    public function category_ar(){
        return $this->hasOne("App\Models\Arabic\Category",'category_id','id');
    }
    public function category_en(){
        return $this->hasOne("App\Models\English\Category",'category_id','id');
    }
    public function products(){
        return $this->hasMany("App\Models\Product",'category_id','id');
    }

    public function image(){
        return $this->hasOne("App\Models\Images",'id','image_id');
    }
    public function created_by_user(){
        return $this->hasOne("App\User",'id','created_by');
    }
}
