<?php
namespace App\Models;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class OpenGraph extends Model{
    use SoftDeletes;
    protected $connection='mysql';
    protected $table='open_graph';
    protected $fillable=['og_image_id','og_title','og_description','og_url','og_type','image_url','main_image','og_site_name','created_by'];
    protected $dates=['deleted_at'];

    public function page(){
        return $this->belongsTo("App\Models\Pages",'id','og_id');
    }
    public function image(){
        return $this->hasOne("App\Models\Images",'id','og_image_id');
    }
    public function created_by_user(){
        return $this->hasOne('App\User','id','created_by');
    }
}

