<?php
namespace App\Models;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Pages extends Model{
    use SoftDeletes;
    protected $connection='mysql';
    protected $table='pages';
    protected $fillable=['is_main_page','description','url','key_words','name','header_code','og_id','created_by'];
    protected $dates=['deleted_at'];

    public function openGraph(){
        return $this->hasOne("App\Models\OpenGraph",'id','og_id');
    }
    public function Page(){
        return $this->belongsTo("App\Models\Pages",'id');
    }
    public function created_by_user(){
        return $this->hasOne('App\User','id','created_by');
    }
}

