<?php
namespace App\Models;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Product extends Model{
    use SoftDeletes;
    protected $connection='mysql';
    protected $table='product';
    protected $fillable=['image_id','url','price','category_id','og_id','page_id','created_by'];
    protected $dates=["deleted_at"];

    public function product_ar(){
        return $this->hasOne("App\Models\Arabic\Product",'product_id','id');
    }
    public function product_en(){
        return $this->hasOne("App\Models\English\Product",'product_id','id');
    }

    public function category(){
        return $this->belongsTo("App\Models\Category",'category_id','id');
    }

    public function image(){
        return $this->hasMany("App\Models\Product_images",'product_id','id');
    }
    public function main_image(){
        return $this->hasOne("App\Models\Images",'id','image_id');
    }
    public function created_by_user(){
        return $this->hasOne("App\User","id","created_by");
    }


    public function openGraph(){
        return $this->hasOne('App\Models\OpenGraph','id','og_id');
    }
    public function page(){
        return $this->hasOne('App\Models\Pages','id','page_id');
    }
}
