<?php
namespace App\Models;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;


class Testimonial extends Model{
    use SoftDeletes;
    protected $connection='mysql';
    protected $table='testimonial';
    protected $fillable=['email,image_id','created_by'];
    protected $dates=['deleted_at'];

    public function testimonial_ar(){
        return $this->hasOne('App\Models\Arabic\Testimonial','testimonial_id','id');
    }
    public function testimonial_en(){
        return $this->hasOne('App\Models\English\Testimonial','testimonial_id','id');
    }
    public function image(){
        return $this->hasOne('App\Models\Images','id','image_id');
    }
    public function created_by_user(){
        return $this->hasOne('App\User','id','created_by');
    }
}
